[Rubygems-developers] Still issues with mswin32 as platform

Luis Lavena luislavena at gmail.com
Mon Dec 17 06:04:36 EST 2007

Hello Guys,

I'm sad to inform that latest test with trunk (revision 1551) still
fails with gems that uses 'mswin32' platform.

To better show the problem, uploaded a video to google:


I think google made the video quality low, so currently I'm uploading
it to my host and will post a followup with the link (less than 1

Is hard to explain the behavior of 0.9.5 compared to 0.9.4, so I
thought a video will make it more clear.

During this "screen cast" found that a lot of gems (not just Mongrel)
uses 'mswin32' as platform instead of CURRENT, which will be broken if
0.9.5 made into 1.0 "as-is".

Guys, I need some help on this, since is quite complex to attack all
the variables in this equation without comments from other users.

Thanks in advance for the comments, suggestions or thoughts.

PS: I made a few text mistakes in the video, please excuse my poor english.
Luis Lavena
Multimedia systems
A common mistake that people make when trying to design
something completely foolproof is to underestimate
the ingenuity of complete fools.
Douglas Adams

More information about the Rubygems-developers mailing list